## kf6-kimageformats 6.6.0

=== debian/changelog ===
kf6-kimageformats (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Add optional dep libxkbcommon-dev.
    - Add patch from upstream to fix readtest autotest.
    - Allow tests to fail on s390x. 

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:34:52 +0100

kf6-kimageformats (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:23 +0100

kf6-kimageformats (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Remove unused build dependencies: librav1e-dev, libsvtav1enc-dev,
    libxkbcommon-dev, and libyuv-dev.
  * Add libheif-plugin-j2kdec as build dependency and runtime dependency,
    as it is needed to provide codecs needed by the HEIF plugin.
  * Enable the test suite again, as it should work fine now.
  * Temporarily ignore the test suite failures on 32bit architectures;
    not ideal, but at least we can get results.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Aug 2024 09:01:17 +0200

kf6-kimageformats (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:05 +0200

kf6-kimageformats (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.
  * Add missing build-dependencies not correctly pulled by libavif-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:31 +0200
