=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: kf6-kimageformats
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
+               libheif-plugin-j2kdec <!nocheck>,
                libheif-plugin-libde265 <!nocheck>,
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
-               libkf6archive-dev (>= 6.3.0~),
+               libjxr-dev,
+               libkf6archive-dev (>= 6.6.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                libxkbcommon-dev,
@@ -24,13 +27,14 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
 Rules-Requires-Root: no
 
 Package: kimageformat6-plugins
 Architecture: any
-Depends: libheif-plugin-libde265,
+Depends: libheif-plugin-j2kdec,
+         libheif-plugin-libde265,
          libheif-plugin-x265,
          ${misc:Depends},
          ${shlibs:Depends},
