## kf6-kimageformats 6.8.0

=== debian/changelog ===
kf6-kimageformats (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:09:47 +0100

kf6-kimageformats (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:25 -0600

kf6-kimageformats (6.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix endianness bug in PCX reader on big endian architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Sep 2024 01:23:42 +0200

kf6-kimageformats (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:52 +0200
