## kf6-kimageformats 6.9.0

=== debian/changelog ===
kf6-kimageformats (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Don't fail on build time tests.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:47:08 +0000

kf6-kimageformats (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * Drop included upstream_Fixed_comparison_of_unsigned_expression.patch
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:30 +0000
