=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kf6-kimageformats
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.8.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-j2kdec <!nocheck>,
@@ -15,9 +16,10 @@
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
                libjxr-dev,
-               libkf6archive-dev (>= 6.8.0~),
+               libkf6archive-dev (>= 6.9.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
+               libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-image-formats-plugins <!nocheck>,
@@ -25,8 +27,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kimageformats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kimageformats
 Rules-Requires-Root: no
 
 Package: kimageformat6-plugins
