## kf6-kimageformats 6.10.0

=== debian/changelog ===
kf6-kimageformats (6.10.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream fix for tests failing on several architectures.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Jan 2025 20:05:50 +0100

kf6-kimageformats (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Revert upstream commit "HEIF plug-in extended to read AVCI format",
    it currently breaks with HEIF we have in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:28 +0100
