=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,6 @@
   fail_param := || true
 endif
 
-ifeq ($(DEB_HOST_ARCH_CPU),s390x)
-  fail_param := || true
-endif
-
 %:
 	dh $@
