## kf6-kimageformats 6.11.0

=== debian/changelog ===
kf6-kimageformats (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Drop patch applied upstream or not necessary anymore.
  * Backport upstream commit to fix build failure with Qt versions older than
    6.8.
  * Ignore test failures for now.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:18:17 +0100
