=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libavif-dev (>= 1~),
                libheif-dev (>= 1.10.0~),
                libheif-plugin-j2kdec <!nocheck>,
@@ -15,7 +15,7 @@
                libheif-plugin-x265 <!nocheck>,
                libjxl-dev (>= 0.7.0~) [linux-any],
                libjxr-dev,
-               libkf6archive-dev (>= 6.10.0~),
+               libkf6archive-dev (>= 6.11.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                pkgconf,
