=== debian/changelog ===
kf6-kimageformats (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:52:28 +0000

kf6-kimageformats (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * New optional build depend libopenjp2-7-dev.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:48:07 +0000

kf6-kimageformats (6.10.0-0ubuntu2) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:44:06 -0500

kf6-kimageformats (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:19:35 +0000
