=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -122,9 +122,12 @@
         kimageformats_read_tests(FUZZ 1
             hej2
         )
-    endif()
-
-    if (LibHeif_VERSION VERSION_GREATER_EQUAL "1.19.0")
+        kimageformats_write_tests(FUZZ 1
+            hej2-nodatacheck-lossless
+        )
+    endif()
+
+    if (LibHeif_VERSION VERSION_GREATER_EQUAL "1.19.6")
         kimageformats_read_tests(FUZZ 4
             avci
         )
