=== debian/changelog ===
kf6-kimageformats (6.13.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Improve EXIF V3 compatibility.
    - Multiple fixes for jxr files management.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 May 2025 01:06:18 +0200

kf6-kimageformats (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:54 +0200
